<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://maven.apache.org/POM/4.0.0" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <groupId>net.cubekrowd</groupId>
  <artifactId>commandcube</artifactId>
  <version>3.1-SNAPSHOT</version>
  <properties>
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
  </properties>
  <distributionManagement>
    <repository>
      <id>cubekrowd-public-releases</id>
      <url>https://mavenrepo.cubekrowd.net/artifactory/public-release-local/</url>
    </repository>
    <snapshotRepository>
      <id>cubekrowd-public-snapshots</id>
      <url>https://mavenrepo.cubekrowd.net/artifactory/public-snapshot-local/</url>
    </snapshotRepository>
  </distributionManagement>
  <repositories>
    <repository>
      <id>cubekrowd-repo</id>
      <url>https://mavenrepo.cubekrowd.net/artifactory/repo/</url>
    </repository>
  </repositories>
  <dependencies>
    <!-- BungeeCord -->
    <dependency>
      <groupId>net.md-5</groupId>
      <artifactId>bungeecord-api</artifactId>
      <version>1.19-R0.1-SNAPSHOT</version>
      <scope>provided</scope>
    </dependency>
    <!-- lombok -->
    <dependency>
      <groupId>org.projectlombok</groupId>
      <artifactId>lombok</artifactId>
      <version>1.18.24</version>
      <scope>provided</scope>
    </dependency>
  </dependencies>
  <build>
    <resources>
      <resource>
        <directory>src/main/resources</directory>
        <filtering>true</filtering>
      </resource>
    </resources>
    <plugins>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-compiler-plugin</artifactId>
        <version>3.8.0</version>
        <configuration>
          <release>16</release>
        </configuration>
      </plugin>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-deploy-plugin</artifactId>
        <version>3.0.0-M1</version>
      </plugin>
    </plugins>
  </build>
</project>
